/*
 * zGo2PartPositionZ.h
 * 
 * Gocator system communication library
 * Copyright (C) 2013 by LMI Technologies Inc.
 * 
 * Licensed under The MIT License.
 * Redistributions of files must retain the above copyright notice.
 */

#ifndef LMITECH_GO2PARTPOSITIONZ_H_INCLUDED
#define LMITECH_GO2PARTPOSITIONZ_H_INCLUDED

#include <Go2Measurements/Go2PartPositionZ.h>
#include <z/zGo2Measurement.h>
#include <z/zGo2Api.h>
#include <Go2ApiBegin.h>

/*
 * Go2PartPositionZ Class 
 */

typedef struct Go2PartPositionZClass
{   
    GO2_PART_MEASUREMENT_FIELDS(); 

    Go2PartFeature3d feature;
} Go2PartPositionZClass; 

GO2_EXPORT(Go2Status) Go2PartPositionZ_Construct(Go2PartPositionZ* measurement, Go2UInt32 id, Go2System system); 
GO2_EXPORT(Go2Status) Go2PartPositionZ_Init(Go2PartPositionZ measurement, Go2UInt32 id, Go2System system);
GO2_EXPORT(Go2Status) Go2PartPositionZ_VRelease(Go2PartPositionZ measurement);
GO2_EXPORT(Go2Status) Go2PartPositionZ_VRead(Go2PartPositionZ measurement, zXml xml, zXmlItem item); 
GO2_EXPORT(Go2Status) Go2PartPositionZ_VWrite(Go2PartPositionZ measurement, zXml xml, zXmlItem item); 



#include <Go2ApiEnd.h>
#endif
